<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.C.Rendering</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Void</span></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.Ptr</span></span><span>
</span><span id="line-6"></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><span class="hs-identifier">SDL.Raw.Types</span></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">SDL</span></span><span>
</span><span id="line-8"></span><span>
</span><span id="line-9"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html"><span class="hs-identifier">SDL.GPU.C.Types</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-10"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html"><span class="hs-identifier">SDL.GPU.C.Bool</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-11"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html"><span class="hs-identifier">SDL.GPU.C.NumericTypes</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-12"></span><span>
</span><span id="line-13"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Clear&quot;</span></span><span> </span><span id="clear"><span class="annot"><a href="SDL.GPU.C.Rendering.html#clear"><span class="hs-identifier hs-var">clear</span></a></span></span><span>
</span><span id="line-14"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-15"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-16"></span><span>
</span><span id="line-17"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_ClearColor&quot;</span></span><span> </span><span id="clearColor"><span class="annot"><a href="SDL.GPU.C.Rendering.html#clearColor"><span class="hs-identifier hs-var">clearColor</span></a></span></span><span>
</span><span id="line-18"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-19"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-20"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-21"></span><span>
</span><span id="line-22"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_ClearRGB&quot;</span></span><span> </span><span id="clearRGB"><span class="annot"><a href="SDL.GPU.C.Rendering.html#clearRGB"><span class="hs-identifier hs-var">clearRGB</span></a></span></span><span>
</span><span id="line-23"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-24"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint8"><span class="hs-identifier hs-type">GPU.Uint8</span></a></span><span> </span><span class="hs-comment">-- ^ r</span><span>
</span><span id="line-25"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint8"><span class="hs-identifier hs-type">GPU.Uint8</span></a></span><span> </span><span class="hs-comment">-- ^ g</span><span>
</span><span id="line-26"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint8"><span class="hs-identifier hs-type">GPU.Uint8</span></a></span><span> </span><span class="hs-comment">-- ^ b</span><span>
</span><span id="line-27"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-28"></span><span>
</span><span id="line-29"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_ClearRGBA&quot;</span></span><span> </span><span id="clearRGBA"><span class="annot"><a href="SDL.GPU.C.Rendering.html#clearRGBA"><span class="hs-identifier hs-var">clearRGBA</span></a></span></span><span>
</span><span id="line-30"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-31"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint8"><span class="hs-identifier hs-type">GPU.Uint8</span></a></span><span> </span><span class="hs-comment">-- ^ r</span><span>
</span><span id="line-32"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint8"><span class="hs-identifier hs-type">GPU.Uint8</span></a></span><span> </span><span class="hs-comment">-- ^ g</span><span>
</span><span id="line-33"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint8"><span class="hs-identifier hs-type">GPU.Uint8</span></a></span><span> </span><span class="hs-comment">-- ^ b</span><span>
</span><span id="line-34"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Uint8"><span class="hs-identifier hs-type">GPU.Uint8</span></a></span><span> </span><span class="hs-comment">-- ^ a</span><span>
</span><span id="line-35"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-36"></span><span>
</span><span id="line-37"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Blit&quot;</span></span><span> </span><span id="blit"><span class="annot"><a href="SDL.GPU.C.Rendering.html#blit"><span class="hs-identifier hs-var">blit</span></a></span></span><span>
</span><span id="line-38"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-39"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span>
</span><span id="line-40"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-41"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-42"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-43"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-44"></span><span>
</span><span id="line-45"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_BlitRotate&quot;</span></span><span> </span><span id="blitRotate"><span class="annot"><a href="SDL.GPU.C.Rendering.html#blitRotate"><span class="hs-identifier hs-var">blitRotate</span></a></span></span><span>
</span><span id="line-46"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-47"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span>
</span><span id="line-48"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-49"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-50"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-51"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ degrees</span><span>
</span><span id="line-52"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-53"></span><span>
</span><span id="line-54"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_BlitScale&quot;</span></span><span> </span><span id="blitScale"><span class="annot"><a href="SDL.GPU.C.Rendering.html#blitScale"><span class="hs-identifier hs-var">blitScale</span></a></span></span><span>
</span><span id="line-55"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-56"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span>
</span><span id="line-57"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-58"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-59"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-60"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ scaleX</span><span>
</span><span id="line-61"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ scaleY</span><span>
</span><span id="line-62"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-63"></span><span>
</span><span id="line-64"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_BlitTransform&quot;</span></span><span> </span><span id="blitTransform"><span class="annot"><a href="SDL.GPU.C.Rendering.html#blitTransform"><span class="hs-identifier hs-var">blitTransform</span></a></span></span><span>
</span><span id="line-65"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-66"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span>
</span><span id="line-67"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-68"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-69"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-70"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ degrees</span><span>
</span><span id="line-71"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ scaleX</span><span>
</span><span id="line-72"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ scaleY</span><span>
</span><span id="line-73"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-74"></span><span>
</span><span id="line-75"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_BlitTransformX&quot;</span></span><span> </span><span id="blitTransformX"><span class="annot"><a href="SDL.GPU.C.Rendering.html#blitTransformX"><span class="hs-identifier hs-var">blitTransformX</span></a></span></span><span>
</span><span id="line-76"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-77"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span>
</span><span id="line-78"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-79"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-80"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-81"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ pivot_x</span><span>
</span><span id="line-82"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ pivot_y</span><span>
</span><span id="line-83"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ degrees</span><span>
</span><span id="line-84"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ scaleX</span><span>
</span><span id="line-85"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ scaleY</span><span>
</span><span id="line-86"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-87"></span><span>
</span><span id="line-88"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_BlitRect&quot;</span></span><span> </span><span id="blitRect"><span class="annot"><a href="SDL.GPU.C.Rendering.html#blitRect"><span class="hs-identifier hs-var">blitRect</span></a></span></span><span>
</span><span id="line-89"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-90"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span> </span><span class="hs-comment">-- ^ src_rect</span><span>
</span><span id="line-91"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-92"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span> </span><span class="hs-comment">-- ^ dest_rect</span><span>
</span><span id="line-93"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-94"></span><span>
</span><span id="line-95"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_BlitRect&quot;</span></span><span> </span><span id="blitRectX"><span class="annot"><a href="SDL.GPU.C.Rendering.html#blitRectX"><span class="hs-identifier hs-var">blitRectX</span></a></span></span><span>
</span><span id="line-96"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-97"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span> </span><span class="hs-comment">-- ^ src_rect</span><span>
</span><span id="line-98"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-99"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span> </span><span class="hs-comment">-- ^ dest_rect</span><span>
</span><span id="line-100"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ degrees</span><span>
</span><span id="line-101"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ pivot_x</span><span>
</span><span id="line-102"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ pivot_y</span><span>
</span><span id="line-103"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#FlipEnum"><span class="hs-identifier hs-type">GPU.FlipEnum</span></a></span><span> </span><span class="hs-comment">-- ^ flip_direction</span><span>
</span><span id="line-104"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-105"></span><span>
</span><span id="line-106"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_TriangleBatch&quot;</span></span><span> </span><span id="triangleBatch"><span class="annot"><a href="SDL.GPU.C.Rendering.html#triangleBatch"><span class="hs-identifier hs-var">triangleBatch</span></a></span></span><span>
</span><span id="line-107"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-108"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-109"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedShort"><span class="hs-identifier hs-type">GPU.UnsignedShort</span></a></span><span> </span><span class="hs-comment">-- ^ num_vertices</span><span>
</span><span id="line-110"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ values</span><span>
</span><span id="line-111"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedInt"><span class="hs-identifier hs-type">GPU.UnsignedInt</span></a></span><span> </span><span class="hs-comment">-- ^ num_indices</span><span>
</span><span id="line-112"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedShort"><span class="hs-identifier hs-type">GPU.UnsignedShort</span></a></span><span> </span><span class="hs-comment">-- ^ indices</span><span>
</span><span id="line-113"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#BatchFlagEnum"><span class="hs-identifier hs-type">GPU.BatchFlagEnum</span></a></span><span>
</span><span id="line-114"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-115"></span><span>
</span><span id="line-116"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_TriangleBatchX&quot;</span></span><span> </span><span id="triangleBatchX"><span class="annot"><a href="SDL.GPU.C.Rendering.html#triangleBatchX"><span class="hs-identifier hs-var">triangleBatchX</span></a></span></span><span>
</span><span id="line-117"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-118"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-119"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedShort"><span class="hs-identifier hs-type">GPU.UnsignedShort</span></a></span><span> </span><span class="hs-comment">-- ^ num_vertices</span><span>
</span><span id="line-120"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">Void</span></span><span> </span><span class="hs-comment">-- ^ values</span><span>
</span><span id="line-121"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedInt"><span class="hs-identifier hs-type">GPU.UnsignedInt</span></a></span><span> </span><span class="hs-comment">-- ^ num_indices</span><span>
</span><span id="line-122"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedShort"><span class="hs-identifier hs-type">GPU.UnsignedShort</span></a></span><span> </span><span class="hs-comment">-- ^ indices</span><span>
</span><span id="line-123"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#BatchFlagEnum"><span class="hs-identifier hs-type">GPU.BatchFlagEnum</span></a></span><span>
</span><span id="line-124"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-125"></span><span>
</span><span id="line-126"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_PrimitiveBatch&quot;</span></span><span> </span><span id="primitiveBatch"><span class="annot"><a href="SDL.GPU.C.Rendering.html#primitiveBatch"><span class="hs-identifier hs-var">primitiveBatch</span></a></span></span><span>
</span><span id="line-127"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-128"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-129"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#PrimitiveEnum"><span class="hs-identifier hs-type">GPU.PrimitiveEnum</span></a></span><span> </span><span class="hs-comment">-- ^ primitive_type</span><span>
</span><span id="line-130"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedShort"><span class="hs-identifier hs-type">GPU.UnsignedShort</span></a></span><span> </span><span class="hs-comment">-- ^ num_vertices</span><span>
</span><span id="line-131"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ values</span><span>
</span><span id="line-132"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedInt"><span class="hs-identifier hs-type">GPU.UnsignedInt</span></a></span><span> </span><span class="hs-comment">-- ^ num_indices</span><span>
</span><span id="line-133"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedShort"><span class="hs-identifier hs-type">GPU.UnsignedShort</span></a></span><span> </span><span class="hs-comment">-- ^ indices</span><span>
</span><span id="line-134"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#BatchFlagEnum"><span class="hs-identifier hs-type">GPU.BatchFlagEnum</span></a></span><span>
</span><span id="line-135"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-136"></span><span>
</span><span id="line-137"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_PrimitiveBatchV&quot;</span></span><span> </span><span id="primitiveBatchV"><span class="annot"><a href="SDL.GPU.C.Rendering.html#primitiveBatchV"><span class="hs-identifier hs-var">primitiveBatchV</span></a></span></span><span>
</span><span id="line-138"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Image"><span class="hs-identifier hs-type">GPU.Image</span></a></span><span>
</span><span id="line-139"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-140"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#PrimitiveEnum"><span class="hs-identifier hs-type">GPU.PrimitiveEnum</span></a></span><span> </span><span class="hs-comment">-- ^ primitive_type</span><span>
</span><span id="line-141"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedShort"><span class="hs-identifier hs-type">GPU.UnsignedShort</span></a></span><span> </span><span class="hs-comment">-- ^ num_vertices</span><span>
</span><span id="line-142"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">Void</span></span><span> </span><span class="hs-comment">-- ^ values</span><span>
</span><span id="line-143"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedInt"><span class="hs-identifier hs-type">GPU.UnsignedInt</span></a></span><span> </span><span class="hs-comment">-- ^ num_indices</span><span>
</span><span id="line-144"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedShort"><span class="hs-identifier hs-type">GPU.UnsignedShort</span></a></span><span> </span><span class="hs-comment">-- ^ indices</span><span>
</span><span id="line-145"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#BatchFlagEnum"><span class="hs-identifier hs-type">GPU.BatchFlagEnum</span></a></span><span>
</span><span id="line-146"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-147"></span><span>
</span><span id="line-148"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_FlushBlitBuffer&quot;</span></span><span> </span><span id="flushBlitBuffer"><span class="annot"><a href="SDL.GPU.C.Rendering.html#flushBlitBuffer"><span class="hs-identifier hs-var">flushBlitBuffer</span></a></span></span><span>
</span><span id="line-149"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-150"></span><span>
</span><span id="line-151"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Flip&quot;</span></span><span> </span><span id="flip"><span class="annot"><a href="SDL.GPU.C.Rendering.html#flip"><span class="hs-identifier hs-var">flip</span></a></span></span><span>
</span><span id="line-152"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-153"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-154"></span></pre></body></html>